Bug 68285 - EDITING: Creating more then 2 title pages increases page count by one
Summary: EDITING: Creating more then 2 title pages increases page count by one
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Fields-Page-Count
  Show dependency treegraph
 
Reported: 2013-08-19 17:15 UTC by przemal
Modified: 2021-06-02 03:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description przemal 2013-08-19 17:15:26 UTC
Problem description:
Creating 1-2 title pages at beginning of the document works as expected and page count is correct.
Creating more than 2 title pages in odd steps (odd number of title pages) causes increase by one in the total number of pages.
Also when scrolling through the document from title page (named index) to normal page, current page number displayed in the lower left corner jumps by 2.


Steps to reproduce:
1. Create new text document in writer
2. Create some pages (via ctrl+enter for example)
3. Convert existing first 3 (or 5) pages to title page and select reset page numbering after title pages.

Expected behavior:
Page count should stay the same.              
Operating System: Fedora
Version: 4.1.0.4 release
Comment 1 Thomas van der Meulen 2013-08-22 15:09:18 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice.
Version: 4.1.1.2
Build ID: 7e4286b58adc75a14f6d83f53a03b6c11fa2903 on Mac osx 10.8.4.
Comment 2 QA Administrators 2015-04-01 14:40:11 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-04-20 15:35:55 UTC
Problem is gone, WFM.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.5.0.0.alpha0+
Build ID: afb82d3729bda2754d0add08cc6c4dce1dc76d59
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-04-14_00:05:04
Locale: en_US
Comment 4 raal 2018-11-07 13:27:30 UTC
(In reply to Buovjaga from comment #3)
> Problem is gone, WFM.
> 
> Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
> Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
> TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
> Locale: fi_FI
> 
> Ubuntu 14.10 64-bit 
> Version: 4.5.0.0.alpha0+
> Build ID: afb82d3729bda2754d0add08cc6c4dce1dc76d59
> TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time:
> 2015-04-14_00:05:04
> Locale: en_US

Hello, I can still reproduce the bug. Buovjaga, please can you retest it? Thank you
Comment 5 Buovjaga 2018-11-07 14:06:24 UTC
I believe you so I set back to NEW
Comment 6 QA Administrators 2021-06-02 03:47:59 UTC
Dear przemal,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug